=== docs/rtd/requirements.txt ===
Sphinx>=2.4.2,<2.5.0
sphinx_rtd_theme>=0.4.3,<0.5.0
sphinx-tabs>=1.1.13,<1.2.0
