=== debian/changelog ===
yaramod (3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Sat, 18 Jul 2020 16:32:07 +0800

yaramod (3.5.0-1) unstable; urgency=medium

  * Initial release

 -- Yangfl <mmyangfl@gmail.com>  Thu, 25 Jun 2020 12:38:13 +0800
