=== debian/control ===
Source: yaramod
Section: libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 pkg-kde-tools,
 cmake (>= 3.6),
 pkg-config,
 libpog-dev,
 libgtest-dev,
 dh-sequence-python3,
 pybind11-dev,
 python3-dev,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/avast/yaramod
Vcs-Git: https://salsa.debian.org/yangfl-guest/yaramod.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/yaramod

Package: libyaramod-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libyaramod0 (= ${binary:Version}),
 libpog-dev,
 ${misc:Depends},
Description: YARA parser for C++ (development headers)
 yaramod is a library that provides parsing of YARA rules into AST and a C++
 programming interface to build new YARA rulesets. yaramod also comes with
 Python bindings and can be installed using pip.
 .
 This package contains the development headers.

Package: libyaramod0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: YARA parser for C++
 yaramod is a library that provides parsing of YARA rules into AST and a C++
 programming interface to build new YARA rulesets. yaramod also comes with
 Python bindings and can be installed using pip.
 .
 This package contains the library.

Package: python3-yaramod
Section: python
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
X-Python3-Version: ${python3:Versions}
Description: YARA parser for C++ (Python 3 binding)
 yaramod is a library that provides parsing of YARA rules into AST and a C++
 programming interface to build new YARA rulesets. yaramod also comes with
 Python bindings and can be installed using pip.
 .
 This package contains the Python 3 binding.
