=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export PYBUILD_SYSTEM = distutils


%:
	dh $@

override_dh_auto_clean-arch:
	-dh_auto_clean -a -O--buildsystem=cmake
	-dh_auto_clean -a -O--buildsystem=pybuild
	rm -rf yaramod.egg-info

YARAMOD_TESTS = OFF
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  YARAMOD_TESTS = ON
endif

override_dh_auto_configure-arch:
	dh_auto_configure -a -O--buildsystem=cmake -- \
		-DYARAMOD_VERSION=$(DEB_VERSION_UPSTREAM) \
		-DPYTHON_EXECUTABLE=/usr/bin/python3 \
		-DYARAMOD_TESTS=$(YARAMOD_TESTS) -DYARAMOD_PYTHON=ON -DCMAKE_STRIP=OFF
	dh_auto_configure -a -O--buildsystem=pybuild

override_dh_auto_build-arch:
	dh_auto_build -a -O--buildsystem=cmake
	cp obj-$(DEB_HOST_GNU_TYPE)/src/python/yaramod.cpython-*.so .pybuild/cpython3_*/build/
	dh_auto_build -a -O--buildsystem=pybuild

override_dh_auto_test-arch:
	./obj-$(DEB_HOST_GNU_TYPE)/tests/cpp/yaramod_tests
	# tests.python.test_parser.ParserTests bug
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src:$$LD_LIBRARY_PATH dh_auto_test -a -O--buildsystem=pybuild

override_dh_auto_install-arch:
	dh_auto_install -a -O--buildsystem=cmake
	dh_auto_install -a -O--buildsystem=pybuild
