=== requirements.txt ===
pytest>=4.2.0,<5.0.0
pypandoc>=1.4
setuptools>=62.4.0
