=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,5 @@
 set(POG_BUNDLED_RE2 ON CACHE BOOL "Use bundled re2" FORCE)
 set(POG_PIC         ON CACHE BOOL "Build PIC"       FORCE)
 
+add_subdirectory(json)
 add_subdirectory(pog)
