=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,26 +12,17 @@
 	types/hex_string.cpp
 	types/literal.cpp
 	types/meta.cpp
-	types/modules/androguard_module.cpp
-	types/modules/cuckoo_module.cpp
-	types/modules/dex_module.cpp
-	types/modules/dotnet_module.cpp
-	types/modules/elf_module.cpp
-	types/modules/hash_module.cpp
-	types/modules/macho_module.cpp
-	types/modules/magic_module.cpp
-	types/modules/math_module.cpp
+	types/variable.cpp
 	types/modules/module.cpp
-	types/modules/pe_module.cpp
-	types/modules/phish_module.cpp
-	types/modules/time_module.cpp
-	types/modules/metadata_module.cpp
+	types/modules/module_pool.cpp
 	types/plain_string.cpp
 	types/rule.cpp
+	types/sections_summary.cpp
 	types/token.cpp
 	types/token_stream.cpp
 	types/yara_file.cpp
-	utils/filesystem.cpp
+	utils/json.cpp
+	utils/filesystem_operations.cpp
 	utils/utils.cpp
 	yaramod.cpp
 )
@@ -69,6 +60,9 @@
 	# Pog library
 	target_link_libraries(yaramod pog)
 
+	# Filesystem library.
+	target_link_libraries(yaramod Filesystem::Filesystem)
+
 	# Python module.
 	if(YARAMOD_PYTHON)
 		add_subdirectory(python)
