=== tests/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	parser_tests.cpp
 	trie_tests.cpp
 	utils_tests.cpp
+	visitor_tests.cpp
+	yara_file_tests.cpp
 	yaramod_tests.cpp
 )
