=== src/examples/cpp/CMakeLists.txt ===
add_subdirectory(dump_rules_ast)
add_subdirectory(simplify_bools)
