=== deps/pog/deps/re2/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,24 @@
 include(ExternalProject)
+include(GNUInstallDirs)
+include(ProcessorCount)
 
-include(GNUInstallDirs)
+ProcessorCount(CPUS)
 
 set(RE2_INSTALL_DIR       ${CMAKE_CURRENT_BINARY_DIR}/re2)
+if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.23.0" AND CMAKE_INSTALL_LIBDIR MATCHES "/${CMAKE_LIBRARY_ARCHITECTURE}$")
+	string(REGEX REPLACE "/${CMAKE_LIBRARY_ARCHITECTURE}$" "/" RE2_INSTALL_LIBDIR ${RE2_INSTALL_DIR}/${CMAKE_INSTALL_LIBDIR})
+else()
+	set(RE2_INSTALL_LIBDIR ${RE2_INSTALL_DIR}/${CMAKE_INSTALL_LIBDIR})
+endif()
 set(RE2_INCLUDE_DIR       ${RE2_INSTALL_DIR}/include)
-set(RE2_INSTALLED_LIBRARY ${RE2_INSTALL_DIR}/${CMAKE_INSTALL_LIBDIR}/${CMAKE_STATIC_LIBRARY_PREFIX}re2${CMAKE_STATIC_LIBRARY_SUFFIX})
-set(RE2_LIBRARY           ${RE2_INSTALL_DIR}/${CMAKE_INSTALL_LIBDIR}/${CMAKE_STATIC_LIBRARY_PREFIX}pog_re2${CMAKE_STATIC_LIBRARY_SUFFIX})
+set(RE2_INSTALLED_LIBRARY ${RE2_INSTALL_LIBDIR}/${CMAKE_STATIC_LIBRARY_PREFIX}re2${CMAKE_STATIC_LIBRARY_SUFFIX})
+set(RE2_LIBRARY           ${RE2_INSTALL_LIBDIR}/${CMAKE_STATIC_LIBRARY_PREFIX}pog_re2${CMAKE_STATIC_LIBRARY_SUFFIX})
 
 if(MSVC)
 	set(RE2_BUILD_COMMAND ${CMAKE_COMMAND} --build . --config $<CONFIG> -- -m)
 	set(RE2_INSTALL_COMMAND ${CMAKE_COMMAND} --build . --target install --config $<CONFIG>)
 else()
-	set(RE2_BUILD_COMMAND ${CMAKE_COMMAND} --build . -- -j)
+	set(RE2_BUILD_COMMAND ${CMAKE_COMMAND} --build . -- -j${CPUS})
 	set(RE2_INSTALL_COMMAND ${CMAKE_COMMAND} --build . --target install)
 endif()
 
@@ -25,6 +32,7 @@
 		-DCMAKE_BUILD_TYPE=Release
 		-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
 		-DCMAKE_CXX_FLAGS_RELEASE=${CMAKE_CXX_FLAGS_RELEASE}
+		-DCMAKE_CXX_FLAGS_DEBUG=${CMAKE_CXX_FLAGS_DEBUG}
 		-DRE2_BUILD_TESTING=OFF
 	BUILD_COMMAND
 		${RE2_BUILD_COMMAND}
