=== debian/changelog ===
yaramod (3.21.0-1.1build2) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 May 2025 08:20:34 -0400

yaramod (3.21.0-1.1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:08 +0100

yaramod (3.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trigger rebuild against Python 3.12 as the default version.
  * debian/tests/unittest.sh: Bump hardcoded YARAMOD_VERSION to 3.21.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Jul 2024 17:18:46 -0400

yaramod (3.21.0-1) unstable; urgency=medium

  * New upstream release
    * Fix FTBFS (Closes: #1037908)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 28 May 2024 02:25:45 +0800

yaramod (3.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60 (Closes: #1022534)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 10:21:29 +0200
