=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yaramod-$1.tar.gz%" \
   https://github.com/avast/yaramod/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
